#!/usr/bin/env python
# coding: utf-8

# In[29]:


import numpy as np 
import pandas as pd 
import matplotlib.pyplot as plt

path=r"C:\Users\andy.cross\OneDrive - Michael Baker International\Documents\FHADTools_SentToDan\FHAD_Tools\FHAD_Tools\TestFiles\test.csv"
SpecifiedYear=""
def loadData(path):
    Data_Raw = pd.read_csv(path)
    Data_Raw.columns = [c.replace(' ', '_') for c in Data_Raw.columns]
    Data_Analysis=Data_Raw.iloc[1:]
    return Data_Analysis

def generateBFEInput(Data_Analysis):
    BFE_DataFinal=pd.DataFrame()
    Return_100yr=Data_Analysis[Data_Analysis.Profile == "100-yr"]
    BFE_DataSubSet=Return_100yr[["River","Reach","River_Sta","Profile","W.S._Elev","Cum_Ch_Len"]]
    uniqueReaches=BFE_DataSubSet.Reach.unique()
    for i in uniqueReaches:
        BFE_DataTemp=BFE_DataSubSet[BFE_DataSubSet.Reach =="{}".format(i)].sort_values(by=['River_Sta'])
        BFE_DataFinal=BFE_DataFinal.append(BFE_DataTemp)
    return BFE_DataFinal

def generateXSExtentsInput(Data_Analysis,SpecifiedYear):
    XSExtents_DataFinal=pd.DataFrame()
    if SpecifiedYear != "":
        ReturnPeriods=Data_Analysis[Data_Analysis["Profile"]==SpecifiedYear]
        XSExtents_DataFinal=ReturnPeriods[["River","Reach","River_Sta","Profile","Sta_W.S._Lft","Sta_W.S._Rgt","W.S._Elev"]]
    elif SpecifiedYear == "":
        XSExtents_DataFinal=Data_Analysis[["River","Reach","River_Sta","Profile","Sta_W.S._Lft","Sta_W.S._Rgt","W.S._Elev"]]
    return XSExtents_DataFinal

def generateBankStationInput(Data_Analysis):
    BankStation_DataFinal=pd.DataFrame()
    ReturnPeriods=Data_Analysis[Data_Analysis["Profile"]=="100-yr"]
    BankStation_DataFinal=ReturnPeriods[["River","Reach","River_Sta","Profile","Ch_Sta_L","Ch_Sta_R","W.S._Elev"]]
    return BankStation_DataFinal

Data_Analysis=loadData(path)
XSExtents_DataFinal=generateXSExtentsInput(Data_Analysis,SpecifiedYear)
print(Data_Analysis)

